### Constructor

# Ide Context new

#### Declaration

    IdeContext*
    ide_context_new (
      void
    )

#### Description

Creates a new `IdeContext`.

This only creates the context object. After creating the object you need to set a number of properties and then initialize asynchronously using g_async_initable_init_async().

Available since: | 3.32

#### Return value

Returns: | `IdeContext`
| An `IdeContext`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.